# Poco::XML

# class Notation

Library: XML
Package: DOM
Header: Poco/DOM/Notation.h

## Description

This interface represents a notation declared in the DTD. A notation either declares, by name, the format of an unparsed entity (see section 4.7 of the XML 1.0 specification <http://www.w3.org/TR/2004/REC-xml-20040204/>), or is used for formal declaration of processing instruction targets (see section 2.6 of the XML 1.0 specification). The nodeName attribute inherited from Node is set to the declared name of the notation.

The DOM Level 1 does not support editing Notation nodes; they are therefore readonly.

A Notation node does not have any parent.

## Inheritance

Direct Base Classes: AbstractNode

All Base Classes: AbstractNode, DOMObject, EventTarget, Node

## Member Summary

Member Functions: copyNode, nodeName, nodeType, publicId, systemId

Inherited Functions: addEventListener, appendChild, attributes, autoRelease, bubbleEvent, captureEvent, childNodes, cloneNode, copyNode, dispatchAttrModified, dispatchCharacterDataModified, dispatchEvent, dispatchNodeInserted, dispatchNodeInsertedIntoDocument, dispatchNodeRemoved, dispatchNodeRemovedFromDocument, dispatchSubtreeModified, duplicate, events, eventsSuspended, firstChild, getNodeByPath, getNodeByPathNS, getNodeValue, hasAttributes, hasChildNodes, innerText, insertBefore, isSupported, lastChild, localName, namespaceURI, nextSibling, nodeName, nodeType, nodeValue, normalize, ownerDocument, parentNode, prefix, previousSibling, release, removeChild, removeEventListener, replaceChild, setNodeValue, setOwnerDocument

## Constructors

### Notation

Notation(
Document * pOwnerDocument,
const Notation & notation
);

### Notation

Notation(
Document * pOwnerDocument,
const XMLString & name,
const XMLString & publicId,
const XMLString & systemId
);

## Destructor

### ~Notation

~Notation();

## Member Functions

### nodeName

const XMLString & nodeName() const;

See also: Poco::XML::AbstractNode::nodeName()

### nodeType

unsigned short nodeType() const;

See also: Poco::XML::Node::nodeType()

### publicId

const XMLString & publicId() const;

Returns the public identifier of this notation. If not specified, this is an empty string (and not null, as in the DOM specification).

### systemId

const XMLString & systemId() const;

Returns the system identifier of this notation. If not specified, this is an empty string (and not null, as in the DOM specification).

### copyNode

Node * copyNode(
bool deep,
Document * pOwnerDocument
) const;

See also: Poco::XML::AbstractNode::copyNode()